//Maya ASCII 2022 scene
//Name: diceSkeleton_v03.ma
//Last modified: Thu, Aug 08, 2024 04:37:24 PM
//Codeset: 932
requires maya "2022";
requires "mtoa" "5.0.0.4";
currentUnit -l centimeter -a degree -t film;
fileInfo "application" "maya";
fileInfo "product" "Maya 2022";
fileInfo "version" "2022";
fileInfo "cutIdentifier" "202303271415-baa69b5798";
fileInfo "osv" "Windows 10 Home v2009 (Build: 19045)";
fileInfo "UUID" "83C55555-4E0D-4662-E6AB-78B0D5DB049D";
createNode joint -n "root_jnt";
	rename -uid "19BBEADC-4AEE-7CC9-7847-0C8B9326E4B8";
	setAttr ".mnrl" -type "double3" -360 -360 -360 ;
	setAttr ".mxrl" -type "double3" 360 360 360 ;
	setAttr ".radi" 0.5;
createNode joint -n "testPoint_jnt" -p "root_jnt";
	rename -uid "3DE4E442-46F9-FF53-F85A-79BECBE4AA5B";
	setAttr ".t" -type "double3" 0 1.03 0 ;
	setAttr ".mnrl" -type "double3" -360 -360 -360 ;
	setAttr ".mxrl" -type "double3" 360 360 360 ;
	setAttr ".radi" 0.5;
createNode joint -n "centerRot_jnt" -p "testPoint_jnt";
	rename -uid "F492A8BF-4A65-9159-B6BF-3CBFEF874703";
	setAttr ".t" -type "double3" 0 0.97 0 ;
	setAttr ".mnrl" -type "double3" -360 -360 -360 ;
	setAttr ".mxrl" -type "double3" 360 360 360 ;
	setAttr ".radi" 0.5;
createNode transform -n "rigModule_gp";
	rename -uid "91384EC8-4B4F-3E70-5E92-919D03B1261F";
createNode transform -n "body_mod" -p "rigModule_gp";
	rename -uid "647E6407-4560-60FB-78FE-7488BEF0E981";
	addAttr -ci true -sn "moduleName" -ln "moduleName" -dt "string";
	addAttr -ci true -sn "section" -ln "section" -dt "string";
	addAttr -ci true -sn "prefix" -ln "prefix" -dt "string";
	addAttr -ci true -sn "side" -ln "side" -min 0 -max 3 -en "center:left:right:none" 
		-at "enum";
	addAttr -ci true -sn "orderOfExecution" -ln "orderOfExecution" -dv 700 -min 1 -max 
		999 -at "long";
	addAttr -ci true -sn "ctrlScale" -ln "ctrlScale" -dv 1 -min 0.001 -max 9999 -at "double";
	addAttr -s false -ci true -sn "joint" -ln "joint" -at "message";
	setAttr ".moduleName" -type "string" "paramCtrl";
	setAttr ".section" -type "string" "body";
	setAttr ".prefix" -type "string" "";
	setAttr ".orderOfExecution" 100;
createNode transform -n "bodyPointPointCtrl_mod" -p "body_mod";
	rename -uid "5B226A3C-46E5-812B-0E02-498021BBC07B";
	addAttr -ci true -sn "moduleName" -ln "moduleName" -dt "string";
	addAttr -ci true -sn "section" -ln "section" -dt "string";
	addAttr -ci true -sn "prefix" -ln "prefix" -dt "string";
	addAttr -ci true -sn "side" -ln "side" -min 0 -max 3 -en "center:left:right:none" 
		-at "enum";
	addAttr -ci true -sn "orderOfExecution" -ln "orderOfExecution" -dv 700 -min 1 -max 
		999 -at "long";
	addAttr -ci true -sn "ctrlScale" -ln "ctrlScale" -dv 1 -min 0.001 -max 9999 -at "double";
	addAttr -s false -ci true -m -sn "joints" -ln "joints" -at "message";
	addAttr -ci true -sn "useTranslateX" -ln "useTranslateX" -dv 1 -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useTranslateY" -ln "useTranslateY" -dv 1 -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useTranslateZ" -ln "useTranslateZ" -dv 1 -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useRotateX" -ln "useRotateX" -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useRotateY" -ln "useRotateY" -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useRotateZ" -ln "useRotateZ" -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useScaleX" -ln "useScaleX" -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useScaleY" -ln "useScaleY" -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "useScaleZ" -ln "useScaleZ" -min 0 -max 1 -at "bool";
	addAttr -ci true -sn "ctrlShape" -ln "ctrlShape" -dv 12 -min 0 -max 32 -en "arrow_x:arrow_y:arrow_z:circle_x:circle_y:circle_z:cloverCircle_x:cloverCircle_y:cloverCircle_z:cross_x:cross_y:cross_z:cube:cube_x:cube_y:cube_z:cylinder_x:cylinder_y:cylinder_z:diamond:eyeMark_x:eyeMark_y:eyeMark_z:fourArrow_x:fourArrow_y:fourArrow_z:pinchCircle_x:pinchCircle_y:pinchCircle_z:sphere:triangle_x:triangle_y:triangle_z" 
		-at "enum";
	addAttr -ci true -sn "ctrlColor" -ln "ctrlColor" -dv 6 -min 0 -max 6 -en "blue:green:orange:purple:red:sky:yellow" 
		-at "enum";
	setAttr ".moduleName" -type "string" "pointCtrl";
	setAttr ".section" -type "string" "body";
	setAttr ".prefix" -type "string" "point";
	setAttr ".useTranslateX" no;
	setAttr ".useTranslateY" no;
	setAttr ".useTranslateZ" no;
	setAttr ".useRotateX" yes;
	setAttr ".useRotateY" yes;
	setAttr ".useRotateZ" yes;
	setAttr ".ctrlColor" 2;
select -ne :time1;
	setAttr ".o" 1;
	setAttr ".unw" 1;
select -ne :hardwareRenderingGlobals;
	setAttr ".otfna" -type "stringArray" 22 "NURBS Curves" "NURBS Surfaces" "Polygons" "Subdiv Surface" "Particles" "Particle Instance" "Fluids" "Strokes" "Image Planes" "UI" "Lights" "Cameras" "Locators" "Joints" "IK Handles" "Deformers" "Motion Trails" "Components" "Hair Systems" "Follicles" "Misc. UI" "Ornaments"  ;
	setAttr ".otfva" -type "Int32Array" 22 0 1 1 1 1 1
		 1 1 1 0 0 0 0 0 0 0 0 0
		 0 0 0 0 ;
	setAttr ".fprt" yes;
select -ne :renderPartition;
	setAttr -s 2 ".st";
select -ne :renderGlobalsList1;
select -ne :defaultShaderList1;
	setAttr -s 5 ".s";
select -ne :postProcessList1;
	setAttr -s 2 ".p";
select -ne :defaultRenderingList1;
select -ne :initialShadingGroup;
	setAttr ".ro" yes;
select -ne :initialParticleSE;
	setAttr ".ro" yes;
select -ne :defaultRenderGlobals;
	setAttr ".ren" -type "string" "arnold";
select -ne :defaultResolution;
	setAttr ".pa" 1;
select -ne :defaultColorMgtGlobals;
	setAttr ".cfe" yes;
	setAttr ".cfp" -type "string" "<MAYA_RESOURCES>/OCIO-configs/Maya2022-default/config.ocio";
	setAttr ".vtn" -type "string" "ACES 1.0 SDR-video (sRGB)";
	setAttr ".vn" -type "string" "ACES 1.0 SDR-video";
	setAttr ".dn" -type "string" "sRGB";
	setAttr ".wsn" -type "string" "ACEScg";
	setAttr ".otn" -type "string" "ACES 1.0 SDR-video (sRGB)";
	setAttr ".potn" -type "string" "ACES 1.0 SDR-video (sRGB)";
select -ne :hardwareRenderGlobals;
	setAttr ".ctrs" 256;
	setAttr ".btrs" 512;
connectAttr "root_jnt.s" "testPoint_jnt.is";
connectAttr "testPoint_jnt.s" "centerRot_jnt.is";
connectAttr "centerRot_jnt.msg" "bodyPointPointCtrl_mod.joints[0]";
// End of diceSkeleton_v03.ma
